<template>
  <div class="container">
    <cart-header />
    <cart-cards />
  </div>
  <hr />
  <div class="container">
    <cart-footer />
  </div>
</template>

<script>
import { onMounted } from 'vue'
import { useRouter } from 'vue-router'
import CartHeader from '@/components/blocs/CartHeader'
import CartCards from '@/components/blocs/CartCards'
import CartFooter from '@/components/blocs/CartFooter'

export default {
  components: {
    CartHeader, CartCards, CartFooter
  },
  setup () {
    const router = useRouter()
    onMounted(() => {
      if (!localStorage.isAuthorized || !JSON.parse(localStorage.isAuthorized)) {
        router.push('/start')
      }
    })
  }
}
</script>

<style lang="scss" scoped>
.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 290px;
}

hr {
  margin: 0;
  height: 2px;
  background-color: #D58C51;
  border: 0;
}
</style>
